/**
	Styles rules for custom components
	Dont't override classes from Bootstrap and Primefaces here
*/
/*==========================================================
  GRID
============================================================*/
.menu-grid {
	padding: 20px !important;
	margin: 15px 0px 0px 0px !important;
	background-color: #FFFFFF;
	border: 1px solid #E3E1EB;
	border-radius: 5px;
}

.more-filters {
	padding: 20px !important;
	margin: 15px -35px 0px -35px !important;
	background: #A8F8FB;
	border-radius: 10px;
}

.card-box {
	padding: 20px !important;
	background-color: #FFFFFF;
	border: 1px solid #EDEDED;
	border-radius: 15px;
}

.card-box-br8 {
	background-color: #FFFFFF;
	border-radius: 8px;
}

.filter-row,
.button-right {
	justify-content: flex-end;
	display: flex;
	padding-right: 15px;
}

.button-left {
	justify-content: flex-start;
	display: flex;
	padding-right: 15px;
}


.selected-action-box {
	margin-top: 35px;
	background: #F5F6FA;
	border: 1px solid #D5DCE7;
	box-shadow: 2px 2px 10px 2px rgba(189, 189, 189, 0.25);
	border-radius: 0px;
	width: 100%;
}


.trucate-text {
	text-overflow: ellipsis;
	white-space: nowrap;
	display: inline-block;
	max-width: 100%;
	overflow: hidden;
}

.label-text {
	font-size: 12px !important;
	font-weight: 700;
	width: fit-content;
	margin-bottom: 2px;
	color: #0A190E;
}

.value-text {
	font-size: 12px;
	font-weight: 400;
	line-height: 20px;
	color: #0A190E;
}

.form-group label.trucate-text {
	margin-bottom: -3px;
}

.space {
	display: inline-block;
	width: 15px;
}

.space-8px {
	display: inline-block;
	width: 8px;
}

.space-50px {
	display: inline-block;
	width: 50px;
}

.checkbox label {
	font-weight: bold;
}

.coluna-acoes {
	width: 100px;
	text-align: center;
	line-height: 29px;
}

.coluna-acoes-medium {
	width: 160px;
	text-align: center;
}

.coluna-acoes-large {
	width: 190px;
	text-align: center;
}

.coluna-acoes-big {
	width: 290px;
	text-align: center;
}

.col-left,
.coluna-texto {
	text-align: left;
}

.col-center,
.coluna-centralizada {
	text-align: center;
}

.col-right,
.coluna-numerica {
	text-align: right;
}

.col-checkbox {
	width: 16px;
	text-align: center;
}

.input-com-botao>button {
	float: right;
	height: 34px;
	margin-top: -34px;
	margin-right: 0;
}

.input-com-botao>input.form-control {
	padding-right: 40px;
}

.transparent {
	visibility: hidden;
}

.radio-with-space td {
	padding: 6px 8px;
	border: 1px solid #D1D1D1 !important;
	border-radius: 8px;
	border-width: 1px !important;
	margin-right: 8px;
}

/*Chat Cooperado*/
.chat-coop {
	padding-top: 20px;
}

.chat-encerrado {
	padding-bottom: 20px;
}

.chat-coop .col-left .ui-commandlink {
	color: #555 !important;
}

.chat-coop .col-left .title {
	font-size: 20px;
	text-transform: uppercase;
}

.chat-coop .col-left .select-chat {
	padding: 15px;
	margin-top: 30px;
}

.chat-coop .col-left .container-chats {
	height: 600px;
	max-height: 600px;
	overflow-y: scroll;
}

.chat-coop .col-right .head-chat {
	padding: 0 15px;
}

/*Item*/
.chat-coop .item-chat {
	position: relative;
	margin: 15px 0 15px 0;
	padding: 5px 0 0 0;
	/*padding: 15px 0;*/
	/*height: 15.4rem;*/
	height: 14rem;
	border: 1px solid #D1D1D1;
	border-radius: 8px;
	background-color: #F4F7FD;
}

.andamento {
	border-color: #62B47F !important;
}

.chat-coop .item-chat.andamento.ativo {
	background-color: #E6F7F1 !important;
	border: 1px solid #62B47F;
	border-radius: 8px;
}

.aguardando-atendimento {
	border-color: #F47820 !important;
}

.chat-coop .item-chat.aguardando-atendimento.ativo {
	border-color: #F47820;
	background-color: #FECFAD !important;
}

.fechado {
	border-color: red !important;
}

.chat-coop .item-chat.fechado.ativo {
	border-color: red;
	background-color: #F6BDC0 !important;
}

.chat-coop .item-chat .infos {
	padding-top: 32px;
}

.chat-coop .item-chat .head {
	position: absolute;
	display: flex;
	top: 10px;
	left: 0;
	width: 100%;
	justify-content: space-between;
}

.chat-coop .item-chat .head .tag-status {
	line-height: 1rem;
	background-color: #555;
	padding: 5px 15px;
	font-size: 1rem;
	float: left;
	color: #FFF !important;
	margin-top: 1px;
	height: 2rem;
	border-radius: 0px 100px 100px 0px;
}

.chat-coop .item-chat .nome {
	color: #333 !important;
	font-weight: bold;
}

.chat-coop .item-chat .horario {
	font-weight: bold;
	font-size: 1rem;
	text-align: right;
	padding-right: 5px;
	align-self: center;
	padding-top: 5px;
}

.chat-coop .item-chat .ultimoHorario {
	font-weight: bold;
	font-size: 12px;
	text-align: right;
	padding-top: 15px;
}

.chat-coop .item-chat .ultimaConversaPessoa {
	font-weight: bold;
	text-align: left;
	padding-top: 15px;
	color: #333 !important;
}

.chat-coop .item-chat .ultimaConversa {
	font-weight: 14px;
	text-align: left;
	margin-left: 15px;
}

.chat-coop .item-chat .ultimoAtendente {
	font-weight: bold;
	font-size: 12px;
	padding: 5px 5px;
	float: right;
}

.chat-coop .item-chat .assunto {
	font-size: 14px;
	margin-top: 1px;
}

.chat-coop .item-chat a {
	color: #FFF;
}

/*Right Column*/
.chat-coop .col-right .tag-status {
	background-color: #555;
	padding: 5px 10px;
	border-radius: 2px;
	font-size: 1rem;
	color: #FFF !important;
	display: inline-block;
}

.chat-coop .col-right .horario {
	font-weight: bold;
	font-size: 1rem;
	padding: 5px 0;
	display: inline-block;
}

.chat-coop .col-right .nome {
	color: #333 !important;
	font-weight: bold;
}

.chat-coop .col-right .enviar-form {
	margin-top: 30px;
}

.chat-coop .col-right .mensagens {
	background-color: #e1e5e7 !important;
	width: 100%;
	float: left;
	padding: 0px 5px 15px 5px;
	border-top: 2px solid #F47820;
	border-bottom: 2px solid #F47820;
	margin-top: 15px;
	border-radius: 2px;
	height: 600px;
	max-height: 654px;
	overflow-y: scroll;
}

.chat-coop .col-right .mensagens .msg {
	position: relative;
	padding: 0px 20px 0px 20px !important;
	background-color: #FFF !important;
	margin: 3rem 0 0 0;
	border-radius: 2px;
	font-size: 14px;
	width: 100%;
}

.chat-coop .col-right .mensagens .msg .inner-msg {
	text-align: initial;
}

.chat-coop .col-right .mensagens .msg .data-msg {
	position: absolute;
	font-size: 11px;
	right: 8px;
	bottom: 5px;
	color: #969696;
}

.chat-coop .col-right .mensagens .msg .email {
	font-weight: bold;
	margin-bottom: 5px;
	font-size: 13px;
}

/* .chat-coop .col-right .mensagens .msg:after {
	position: absolute;
	content: " ";
	width: 0;
	height: 0;
	border-style: solid;
	box-sizing: inherit;
} */
.chat-coop .col-right .mensagens .msg.msgUnimed {
	float: right;
}

.chat-coop .col-right .mensagens .msg.msgUnimed:after {
	border-width: 0px 0 12px 16px;
	border-color: transparent transparent transparent #E9FFD1;
	top: 0;
	right: -11px;
}

.chat-coop .status_digitando {
	visibility: hidden;
}

.chat-coop .col-right .mensagens .msg.msgCooperado {
	float: left;
}

.chat-coop .col-right .mensagens .msg.msgCooperado:after {
	border-width: 0px 16px 12px 0;
	border-color: transparent #F1F7FF transparent transparent;
	top: 0;
	left: -11px;
}

.andamento .tag-status {
	background-color: #62B47F !important;
}

.aguardando-atendimento .tag-status {
	background-color: #E86E00 !important;
}

.fechado .tag-status {
	background-color: red !important;
}

.baseline-button {
	height: 72px;
	position: relative;
}

.baseline-button button {
	display: inline-block;
	vertical-align: bottom;
	position: absolute;
	bottom: 0;
	right: 15px;
}

.content {
	float: left;
	margin-right: 32px;
	margin-top: 16px;
	margin-bottom: 16px;
}

.container-simulacao {
	width: 320px;
	height: 568px;
	border: 1px solid #ccc;
	-webkit-box-shadow: 0px 1px 8px 1px rgba(0, 0, 0, 0.45);
	-moz-box-shadow: 0px 1px 8px 1px rgba(0, 0, 0, 0.45);
	box-shadow: 0px 1px 8px 1px rgba(0, 0, 0, 0.45);
	float: left;
	overflow-x: hidden;
	overflow-y: scroll;
}

.container-simulacao.cliente {
	background-color: #00401A;
	color: #FFF;
}

.container-simulacao.cooperado {
	background-color: #FFF;
	color: #225e56;
}

.container-simulacao .imagem {
	text-align: center;
}

.container-simulacao img {
	margin-top: 6px;
	display: inline-block;
	max-width: 320px;
}

.container-simulacao .top {
	padding: 16px 16px 6px 16px;
	opacity: .5;
}

.container-simulacao .top .data {
	text-align: right;
	font-size: 14px;
}

.container-simulacao .top .chapeu {
	text-align: left;
	font-size: 14px;
}

.container-simulacao .titulo {
	padding: 16px;
	font-size: 18px;
	font-weight: 600;

}

.container-simulacao .mensagem {
	padding: 16px;
	padding-top: 0x;
	line-height: 18px;
}

.container-simulacao.appquer,
.container-simulacao.appquer .titulo {
	font-family: "Montserrat";
}

.container-simulacao.appquer .titulo {
	font-size: 22px;
	color: #000000;
}

.container-simulacao.appquer .header {
	height: 45px;
	background: #30D7C1;
}

.container-simulacao.appquer .header .text {
	color: #FFFFFF;
	font-size: 16px;
	text-align: center;
	font-weight: 800;
	line-height: 45px
}

.container-simulacao.appquer .center {
	text-align: center;
}

.container-simulacao.appquer .left {
	text-align: left;
}

.container-simulacao.appquer .body {
	padding: 8px;
	height: 440px;
	margin-top: 0px;
	background: rgba(255, 255, 255, 0.8);
}

.container-simulacao.appquer .button {
	padding: 4px 8px;
	width: 160px;
	border-radius: 16px;
	background: #30D7C1;
	font-size: 14px;
	display: inline-block;
}

.container-simulacao.appquer .icone {
	text-align: center;
	margin-top: 12px;
	margin-bottom: 0px;
}

.container-simulacao.appquer .icone img {
	border: 2px solid rgba(230, 230, 230, 0.8);
	border-radius: 50%;
	height: 70px;
	width: 70px;
}

.container-simulacao.appquer .button1 {
	color: white;
	border: 2px solid #30d7c1;
}

.container-simulacao.appquer .button2 {
	color: #1da570;
	border: 1px solid #dcdcdc;
}

.container-simulacao.appquer .fonte {
	font-size: 12px;
	color: #30D7C1;
}

.table-line-erro td {
	color: red;
}

@-webkit-keyframes blinker {
	from {
		opacity: 1.0;
	}

	to {
		opacity: 0.0;
	}
}

.blink-me {
	text-decoration: blink;
	-webkit-animation-name: blinker;
	-webkit-animation-duration: 0.6s;
	-webkit-animation-iteration-count: infinite;
	-webkit-animation-timing-function: ease-in-out;
	-webkit-animation-direction: alternate;
}

.custom-pick-list.ui-picklist {
	width: 100%;
}

.custom-pick-list.ui-picklist .ui-picklist-list-wrapper {
	width: 50%;
}

.custom-pick-list.ui-picklist .ui-picklist-list-wrapper .ui-picklist-list {
	width: 100%;
}

.panel-grid.alternate-colors td.ui-datagrid-column {
	text-align: center;
	border: 1px solid gray;
	padding: 10px;
}

.panel-grid.alternate-colors tr:nth-child(odd) td.ui-datagrid-column:nth-child(even) {
	background: white;
}

.panel-grid.alternate-colors tr:nth-child(odd) td.ui-datagrid-column:nth-child(odd) {
	background: #fbfbfb;
}

.panel-grid.alternate-colors tr:nth-child(even) td.ui-datagrid-column:nth-child(even) {
	background: #fbfbfb;
}

.panel-grid.alternate-colors tr:nth-child(even) td.ui-datagrid-column:nth-child(odd) {
	background: white;
}

.submenu-principal {
	background-color: white;
	height: 100vh;
	padding: 10px 15px 10px 15px;
}

.submenu-principal .title {
	margin-top: -10px;
	margin-left: unset;
}

.submenu-principal .nice-menu-label {
	display: block;
	padding: 10px 15px 10px 15px;
	clear: both;
	color: #000000;
	font-weight: bold;
	line-height: 4;
	white-space: nowrap;
	margin: 0px 10px 0px 10px;
}

.form-check-input {
	width: 16px;
	height: 16px;
	vertical-align: text-bottom;
	margin: 4px 4px 0px 0px !important;
}

.nice-switch {
	display: block !important;
}

.select-many-checkbox input[type="checkbox"] {
	margin: 4px 4px 0;
	vertical-align: sub;
	width: 16px;
	height: 16px;
}

.questionario-pergunta {
	margin-bottom: 16px;
}

.questionario-pergunta:hover .enunciado {
	font-weight: bold;
}

.questionario-pergunta .enunciado {
	font-size: 18px;
}

.questionario-pergunta .divider {
	border-bottom: 1px rgba(0, 153, 93, 0.7) solid;
	margin-bottom: 8px;
}

.questionario-pergunta .buttons {
	text-align: right;
}

.questionario-pergunta .buttons button {
	width: 32px;
	height: 30px;
	margin-bottom: 4px;
	margin-right: 8px;
}

.pergunta-acervo .ui-datatable tbody td {
	border-color: inherit;
}

.pergunta-acervo .ui-datatable thead th,
.ui-datatable tbody td,
.ui-datatable tfoot td,
.ui-datatable tfoot th {
	padding: 4px 10px;
	overflow: hidden;
	border-width: 0px !important;
	border-style: solid;
}

.ql-container {
	background-color: white;
}

.card-app {
	background: #fff;
	border-radius: 6px;
	min-height: 150px;
	padding: 16px 8px;
	border-top: 1px solid rgba(90, 90, 90, 0.10);
}

.card-header-app {
	margin: -16px -8px;
	padding: 8px 22px;
	margin-bottom: 8px;
	background-color: rgba(0, 0, 0, .03);
	border-bottom: 1px solid rgba(0, 0, 0, 0.10);
}

.card-app-1 {
	box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
	transition: all 0.3s cubic-bezier(.25, .8, .25, 1);
}

.card-app-2 {
	box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}

.card-app-3 {
	box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19), 0 6px 6px rgba(0, 0, 0, 0.23);
}

/*** NICE TAB ***/
.nice-tab.ui-tabs {
	background: white;
	min-height: 300px;
}

.nice-tab .ui-state-default {
	background: #327e04;
}

.nice-tab .ui-state-default.ui-state-active {
	background: #459e00;
	position: relative;
}

.nice-tab .ui-state-default.ui-state-active:after {
	content: '';
	position: absolute;
	left: 100%;
	top: 1;
	border: 16px solid transparent;
	border-left-color: #459e00;
}

.nice-tab .ui-state-default.ui-state-active a {
	color: white;
}

.nice-tab .ui-widget-content {
	background: white;
}

.nice-tab .ui-widget-header {
	background: #D3D3D3;
}

.nice-tab.ui-tabs-left>.ui-tabs-nav {
	height: 100%;
	position: absolute;
}

/*** END NICE TAB ***/


.card {
	width: 100%;
	height: 20px;
	margin-bottom: -5px;
}

.card.card-header {
	height: 100px;
	border-radius: 25px 25px 0px 0px;
	margin-bottom: -60px;
}

.card.card-header-mini {
	height: 50px;
	border-radius: 12px 12px 0px 0px;
	margin-bottom: -45px;
}

.card.card-body {
	height: 350px;
	border-top: 0px !important;
	border-bottom: 0px !important;
	border-radius: 50px 50px 0px 0px;
}

.card.card-body-mini {
	height: 100px;
	border-top: 0px !important;
	border-bottom: 0px !important;
	border-radius: 25px 25px 0px 0px;
	margin-top: 20px;
}

.card.card-footer {
	height: 60px;
	border-radius: 0px 0px 25px 25px;
}

.card.card-footer-mini {
	height: 20px;
	border-radius: 0px 0px 12px 12px;
}

.card.card-footer .icons {
	display: grid;
	grid-auto-flow: column;
	justify-items: center;
	align-items: center;
	height: 100%;
}

.board-info {
	background: #d9edf7;
	padding: 8px 12px 8px 16px;
	margin-left: 16px;
	border-radius: 5px;
	color: #333;
	font-size: 12px;
}

.board-info>p {
	padding: 0px;
	margin: 0px;
	font-weight: 400;
	color: black;
}

.board-info .ok {
	color: #008000;
	font-weight: bold;
}

.board-info .exemplo {
	background: white;
	color: #007849;
	border-radius: 5px;
	padding: 5px;
	text-align: center;
	margin: 10px 0px 10px;
	font-weight: bold;
}

.board-error {
	background: #F2DEDE;
	padding: 10px;
	border-radius: 6px;
	color: #000;
	font-size: 12px;
	font-weight: 400;
}

.board-success {
	background: #E6F7F1;
	padding: 10px;
	border-radius: 6px;
	color: #3D935B;
	font-size: 12px;
	font-weight: 400;
}

.board-details {
	background: #F4F7FD;
	padding: 8px 12px 8px 16px;
	border-radius: 5px;
	color: #333;
	font-size: 12px;
}

.inside-box {
	background: #F4F7FD;
	padding: 8px 12px 8px 16px;
	border-radius: 5px;
}

/** CAPSULE */
.capsule-tag {
	border-radius: 100px;
	padding-top: 5px;
	padding-bottom: 5px;
	padding-left: 8px;
	padding-right: 8px;
	font-size: 11px;
	font-weight: 600;
}

.capsule-tag-green {
	background-color: #E6F7F1;
	color: #5A9F72;
}

.capsule-tag-blue {
	background-color: #E4EDFF;
	color: #1286DA;
}

.capsule-tag-red {
	background-color: rgba(230, 51, 28, 0.15);
	color: #E6331C;
}

.ui-state-disabled .capsule-tag-red {
	background-color: #DBE1E6;
	color: #5C5C5C;
}

.capsule-tag-orange {
	background-color: #FBECC4;
	color: #E86E00;
}

.capsule-tag-violet {
	background-color: #F2EBFF;
	color: #61A173;
}

.capsule-tag-white {
	background-color: #FFFFFF;
	color: #4C5753;
	border: 1px solid #EBEEF5;
}

.capsule-tag-white:active,
.capsule-tag-white:focus {
	background-color: #F2EBFF;
	color: #61A173;
}

.capsule-tag-gray {
	background-color: #F4F7FD;
	color: #7E7C7C;
}